<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Pra KRS</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Semester Pendek </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-sticky-note"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="card shadow" th:if="${message != null}">
                    <div class="alert alert-danger">
                        <h1 class="text-white">Buat / Aktifkan Tahun Akademik Semester Pendek terlebih dahulu!</h1>
                    </div>
                </div>
                <div class="card shadow" th:if="${message == null}">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">List request matakuliah semester pendek</h3>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/studiesActivity/sp/detail}" class="btn btn-success btn-sm"><i class="fa fa-eye"></i> Detail</a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="get" th:action="@{/studiesActivity/sp/proses}">
                            <div class="table-responsive">

                                <table class="table align-items-center table-flush">
                                    <thead class="thead-light">
                                    <tr >
                                        <th>No</th>
                                        <th>Matakuliah</th>
                                        <th class="text-center">Jumlah Permintaan</th>
                                        <th class="text-center">Jumlah Pembayaran</th>
                                        <th class="text-center">Status</th>
                                        <th class="text-center">
                                            Pilih Matakuliah
                                        </th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data,row:${list}">

                                        <td class="text-center" th:text="${row.index + 1}">1</td>
                                        <td>
                                            <div style="cursor: pointer;" data-toggle="modal" th:data-target="${'#modal-notification' + data[0]}">
                                                <div th:text="${data[2]}"></div>
                                            </div>

                                            <div class="modal fade" th:id="${'modal-notification' + data[0]}" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                                <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                                                    <div class="modal-content">

                                                        <div class="modal-header bg-transparent pb-5">
                                                            <h4>Daftar Pengajuan Matakuliah <div th:text="${data[2]}"></div></h4>
                                                            <button type="button" class="ml-3 btn btn-info btn-sm text-white">
                                                                <span class="btn-inner--icon"><i class="fa fa-download"></i></span>
                                                                <a class="btn-inner--text text-white" th:href="@{/download/list(matkul = ${data[0]})}" >Download list</a>
                                                            </button>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">×</span>
                                                            </button>
                                                        </div>

                                                        <div class="modal-body">

                                                            <div class="table-responsive">
                                                                <table class="table align-items-center table-flush">
                                                                    <thead class="thead-light">
                                                                    <tr>
                                                                        <th>Nim</th>
                                                                        <th>Nama</th>
                                                                        <th>Prodi</th>
                                                                        <th>Nomor Telepon</th>
                                                                        <th>Status tagihan</th>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                    <tr th:each="dataDetail : ${matkulDetail1}">
                                                                        <td th:if="${dataDetail[0] == data[0]}" th:text="${dataDetail[2]}">18101040</td>
                                                                        <td th:if="${dataDetail[0] == data[0]}" th:text="${dataDetail[3]}">Rafhatullah</td>
                                                                        <td th:if="${dataDetail[0] == data[0]}" th:text="${dataDetail[4]}">HES</td>
                                                                        <td th:if="${dataDetail[0] == data[0]}" th:text="${dataDetail[5]}"></td>
                                                                        <td th:if="${dataDetail[0] == data[0]}" th:text="${dataDetail[9]}">
                                                                            <div th:text="${dataDetail[10]}"></div>
                                                                        </td>
                                                                    </tr>
                                                                    </tbody>
                                                                </table>

                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                        </td>

                                        <td class="text-center" th:text="${data[3]}">1</td>
                                        <td class="text-center" th:text="${data[4]}">2</td>
                                        <div th:if="${data[5] == 'WAITING'}">
                                            <td class="text-center">
                                                <button type="button" class="btn btn-primary btn-sm">WAITING</button>
                                            </td>
                                        </div>
                                        <div th:if="${data[5] == 'APPROVED'}">
                                            <td class="text-center">
                                                <button type="button" class="btn btn-success btn-sm">APPROVED</button>
                                            </td>
                                        </div>
                                        <div th:if="${data[5] == 'REJECTED'}">
                                            <td class="text-center">
                                                <button type="button" class="btn btn-danger btn-sm">REJETED</button>
                                            </td>
                                        </div>
                                        <td class="text-center">
                                            <input type="checkbox" class="select-check" name="checkBox" th:value="${data[0]}">
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="row">
                                <div class="col-md-12 text-center">
                                    <button style="margin-bottom: 20px;" type="submit" class="mb-5 btn btn-success btn-lg"> Proses SP</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>


        </div>
        <!-- Dark table -->


    </div>
</div>
</body>
    </html>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Select One",
            allowClear: true
        });

        $(document).ready(function (){
            $('#checkAll').click(function (){
                $('.select-check:input:checkbox').not(this).prop('checked', this.checked);
            });
        });

    </script>
